<?php
load_theme_textdomain('potala', get_template_directory() . '/languages');

if ( ! isset( $content_width ) ) $content_width = 600;


function potala_register_menus( ){
register_nav_menu( 'potala-headmenu', 'potala headmenu' ); 
register_nav_menu( 'potala-sidemenu', 'potala sidemenu' );
}
add_action( 'init', 'potala_register_menus' );

function potala_styles(){
  wp_register_style( 'potala-style', 
  get_template_directory_uri().'/style.css', 
  array(), 
  '0.6.5', 
  'all' );	

  wp_enqueue_style( 'potala-style' );
}
add_action('wp_enqueue_scripts', 'potala_styles');


function potala_js() {
	if ( comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
 	wp_deregister_script( 'potalajs');
	wp_register_script( 'potalajs', get_template_directory_uri().'/js/jsfunctions.js' );
	wp_enqueue_script( 'potalajs', false, 1, 0.6, true ); 
}     
add_action('wp_enqueue_scripts', 'potala_js');

function potala_sidebar(){
	register_sidebar(array(
		'name' => 'sidebar1',
		'id' => 'sidebar_1',
		'description'   => 'left or right sidebar',
		'before_widget' => '<li class="sbbox">',
		'after_widget' => '</li>',
		'before_title' => '<h5 class="lightfont">',
		'after_title' => '</h5>',
	));
}
add_action('widgets_init', 'potala_sidebar' );

$bgargs = array(
'default-color'          => '333',
'default-image'          => get_template_directory_uri().'/images/halfwinter.jpg',
);
add_theme_support( 'custom-background', $bgargs );

add_theme_support( 'automatic-feed-links' );
	

function potala_comment( $comment, $args, $depth ) {
   $GLOBALS['comment'] = $comment;
   
   $pingBackInfo = __( 'Pingback:', 'potala' );  
   $cmtAuthLink = 	get_comment_author_link();
   $editCmtLink = get_edit_comment_link( );
   
   $cmtClass = implode( ' ', get_comment_class() ); // 
   $cmtId = get_comment_ID();
   $cmtParent = $comment->comment_parent;
   $avatar = get_avatar( $comment, 36 );
   $cmtTime = get_comment_time( 'Y-m-d' ); 
   $cmtDate = get_comment_date();  // unused
   $cmtIsChecked =  $comment->comment_approved;
   $cmtReplyLink = get_comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Reply', 'potala' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) );
   $cmtLink =  esc_url( get_comment_link( $comment->comment_ID ) );
   $cmtText = get_comment_text();
   $cmtNotApprovedInfo = __( 'Your comment is awaiting moderation.', 'potala' );
   $tmpCmt ='';
   $edittag = __('Edit','potala');

   
   switch ( $comment->comment_type ) {
		case 'pingback' :
			echo "<li class=\"post pingback\">
						<div id=\"comment-$cmtId\" class=\"comment\">
							<div class=\"comment-author vcard\">$pingBackInfo&nbsp;$cmtAuthLink</div>
							<!--<div class=\"comment-content\"></div>-->
						</div>";			
		break;
		case 'trackback' :
			echo "<li class=\"post pingback\">
						<div id=\"comment-$cmtId\" class=\"comment\">
							<div class=\"comment-author vcard\">$cmtAuthLink</div>
							<div class=\"comment-content\">$pingBackInfo</div>
						</div>";
						
			break;// Note the lack of a trailing </li>. WordPress will add it itself once it's done listing any children and whatnot.
		 default: 
			$tmpCmt = "<li class=\"$cmtClass\" id=\"li-comment-$cmtId\" >
									<div id=\"comment-$cmtId\" class=\"comment\">
										<div class=\"comment-author vcard\">
											<div class=\"avatar\">$avatar</div>
											<div class=\"authinfo\"><h5>$cmtAuthLink</h5><p class=\"lightfont\">$cmtTime&nbsp;<a href=\"$editCmtLink\">$edittag</a>&nbsp;$cmtReplyLink</p></div>
										<div class=\"c\"></div>
									</div><!-- .comment-author .vcard -->";
					
			if ( $comment->comment_approved == '1' )   //if not approved
			 $tmpCmt .= '<div class="comment-content">'.$cmtText.'</div>';
			 else 
			 $tmpCmt .= '<div class="comment-content comment-awaiting-moderation">'.$cmtNotApprovedInfo.'</div>';
			 
			 //$tmpCmt .='<div class="reply">'.$cmtReplyLink.'</div>';
			 $tmpCmt .='</div><!--end?-->';  //end of comment-commentid*/			 
	}
	echo $tmpCmt;
}	
		
?>